package com.bocloud.cmp.provider.monitor;

import com.bocloud.cmp.model.azure.monitor.MetricAlertModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: MetricAlertProvider
 * @Description:指标警报
 * @author: zhenpingLi/李振平
 * @date: 2020/12/29 15:32
 */
public interface MetricAlertProvider extends SuperProvider {

    //获取指标警报
    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }
    //创建指标警报
    default BocloudResult create(MetricAlertModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(MetricAlertModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(MetricAlertModel model) {
        return new BocloudResult(false, "need implement");
    }

}